<div class="overlay" *ngIf="loading">

  <div class="center"  >
    <mat-spinner diameter=50
                 mode="indeterminate"
                 color="accent">
    </mat-spinner>

  </div>

</div>


<div class="container">
  <div class="jumbotron bg-primary">
    <h1 style="color: white">Welcome </h1>
    <h2 style="color: white">SpringBoot DEMO</h2>
  </div>
  <div class="card ">
    <div class="card-header bg-primary ">
      <h6 style="color: white">Sign Up</h6>
    </div>

    <div style="text-align: center">

      <fieldset >
        <br>
        <h3 style="color: #007bff; font-family: 'Bodoni MT Condensed'">Inscription</h3>
        <a [routerLink]="['/login']" style="text-align: right">Already have an account ?</a>
        <br>
        <form [formGroup]="signupForm">
          <table  class="mat-table" width="100%">
            <tr width="70%">
              <td >
                <mat-form-field appearance="outline" style="width: 470px">
                  <mat-label>First Name</mat-label>
                  <input matInput placeholder="First Name" [formControl]="firstname">
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" style="width: 470px">
                  <mat-label>Last Name</mat-label>
                  <input matInput placeholder="Last Name" [formControl]="lastname">
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" style="width: 470px">
                  <mat-label>UserName</mat-label>
                  <input matInput placeholder="UserName" [formControl]="username">
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" style="width: 470px">
                  <mat-label>Email</mat-label>
                  <input matInput placeholder="Email" [formControl]="email">
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field appearance="outline" style="width: 470px">
                  <mat-label>Enter your password</mat-label>
                  <input matInput [type]="hide ? 'password' : 'text'" placeholder="Password" [formControl]="password">
                  <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                  </button>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <button class="btn btn-primary" (click)="addUser()">Inscription</button>
              </td>
            </tr>
            <tr>
              <br>
            </tr>
          </table>

        </form>
      </fieldset>

    </div>
  </div>
  <div>
    <br>
    <br>
    <br>
    <br>
  </div>
</div>

<style>
  .center {
    position: absolute;
    top: 50%;
    left: 50%;
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
  }

  .overlay{
    height:100vh;
    width:100%;
    background-color: rgba(0, 0, 0, 0.58);
    z-index:    10;
    top:        0;
    left:       0;
    position:   fixed;
  }
</style>
